| Home | Libraries | People | FAQ | More

##### http::write (6 of 6 overloads)

Write a complete message to a stream.

###### Synopsis

Defined in header `<boost/beast/http/write.hpp>`

    template<
        class SyncWriteStream,
        bool isRequest,
        class Body,
        class Fields>
    std::size_t
    write(
        SyncWriteStream& stream,
        message< isRequest, Body, Fields > const& msg,
        error_code& ec);

###### Description

This function is used to write a complete message to a stream using HTTP/1. The call will block until one of the following conditions is true:

- The entire message is written.
- An error occurs.

This operation is implemented in terms of one or more calls to the stream's `write_some` function. The algorithm will use a temporary `serializer` with an empty chunk decorator to produce buffers.

###### Remarks

This function only participates in overload resolution if `is_mutable_body_writer` for Body returns `false`.

###### Parameters

Name | Description
--- | ---
`stream` | The stream to which the data is to be written. The type must support the SyncWriteStream concept.
`msg` | The message to write.
`ec` | Set to the error, if any occurred.

###### Return Value

The number of bytes written to the stream.

###### See Also

`message`